play.mvc

## Interface Controller.ITemplateNameResolver

- Enclosing class:
    Controller

      public static interface Controller.ITemplateNameResolver

  This allow people that implements their own template engine to override the way template are resolved.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `resolveTemplateName(java.lang.String templateName)` Return the template path given a template name.

- - ### Method Detail

    - #### resolveTemplateName

          java.lang.String resolveTemplateName(java.lang.String templateName)

      Return the template path given a template name.
      Parameters:
        `templateName` - The template name
      Returns:
        The template path

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly